<%@ page import="com.s3ai.entities.Cinema" %>
<%@ page import="java.util.List" %>
<%--
  Created by IntelliJ IDEA.
  User: s3rius
  Date: 08.12.2019
  Time: 20:34
  To change this template use File | Settings | File Templates.
--%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<html>
<head>
    <title>Cinemas list</title>
    <%@include file='../templates/imports.jsp' %>
    <link rel="stylesheet" href="${pageContext.request.contextPath}/static/css/cinemas.css">
</head>
<body class="themed-gradient">
<%@include file='../templates/header.jsp' %>

<div class="container-fluid">
    <div class="row table-padding justify-content-center">
        <table class="table col-6 table-striped table-dark">
            <thead>
            <tr>
                <th scope="col">#</th>
                <th scope="col">Name</th>
                <th scope="col">Location</th>
                <th scope="col">Seats count</th>
            </tr>
            </thead>
            <tbody>
            <%
                List<Cinema> cinemas = (List<Cinema>) request.getSession().getAttribute("cinemas");
                for (int i = 0; i < cinemas.size(); i++) {
                    Cinema cinema = cinemas.get(i);
                    out.println("<tr cinema_id='" + cinema.getId().toString() + "'>");
                    out.println("<td  scope=\"col\">" + (i + 1) + "</td>");
                    out.println("<td attr_name=\"name\">" + (cinema.getName() == null ? "" : cinema.getName()) + "</td>");
                    out.println("<td attr_name=\"location\">" + (cinema.getLocation() == null ? "" : cinema.getLocation()) + "</td>");
                    out.println("<td attr_name=\"seats\">" + (cinema.getSeatsCount() == null ? "" : cinema.getSeatsCount()) + "</td>");
                    out.println("</tr>");
                }
            %>
            </tbody>
        </table>
    </div>
    <div class="modal fade" id="cinemaModal" tabindex="-1" role="dialog"
         aria-labelledby="cinemaModalTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLongTitle">Cinema info</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="d-flex flex-column">
                        <div class="d-flex flex-row justify-content-between">
                            <p>ID:</p>
                            <p id="modal_id"></p>
                        </div>
                        <div class="d-flex flex-row justify-content-between">
                            <p>Name:</p>
                            <p id="modal_name"></p>
                        </div>
                        <div class="d-flex flex-row justify-content-between">
                            <p>Location:</p>
                            <p id="modal_location">value</p>
                        </div>
                        <div class="d-flex flex-row justify-content-between">
                            <p>Seats count:</p>
                            <p id="modal_seats">value</p>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" id="edit_cinema" class="btn btn-primary"><i class="fas fa-edit"></i> Edit
                        cinema
                    </button>
                    <button type="button" id="delete_cinema" class="btn btn-danger"><i class="fas fa-trash-alt"></i>
                        Delete cinema
                    </button>
                    <button type="button" class="btn btn-secondary" data-dismiss="modal"><i class="fas fa-times"></i>
                        Close
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
<script>
    let context_url = "${pageContext.request.contextPath}"
</script>
<script src="${pageContext.request.contextPath}/static/js/cinemas.js"></script>
</html>
